org.eclipse.net4j.util.security

## Class DiffieHellman.ParameterSpecGenerator

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.ParameterSpecGenerator

- Enclosing class:
    DiffieHellman

      public static final class DiffieHellman.ParameterSpecGenerator
      extends java.lang.Object

  Creates Diffie-Hellman parameters.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterSpecGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.crypto.spec.DHParameterSpec` | `generate(int bits)` Create Diffie-Hellman parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterSpecGenerator

          public ParameterSpecGenerator()

  - ### Method Detail

    - #### generate

          public static javax.crypto.spec.DHParameterSpec generate(int bits)

      Create Diffie-Hellman parameters.

      Takes VERY long...

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html